import request from '@/utils/request'

// 查询特种设备电梯台账历史列表
export function listDt(query) {
  return request({
    url: '/his/dt/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备电梯台账历史详细
export function getDt(id) {
  return request({
    url: '/his/dt/' + id,
    method: 'get'
  })
}

// 新增特种设备电梯台账历史
export function addDt(data) {
  return request({
    url: '/his/dt',
    method: 'post',
    data: data
  })
}

// 修改特种设备电梯台账历史
export function updateDt(data) {
  return request({
    url: '/his/dt',
    method: 'put',
    data: data
  })
}

// 删除特种设备电梯台账历史
export function delDt(id) {
  return request({
    url: '/his/dt/' + id,
    method: 'delete'
  })
}

// 导出特种设备电梯台账历史
export function exportDt(query) {
  return request({
    url: '/his/dt/export',
    method: 'get',
    params: query
  })
}